%define upstream_name    Encode-HanConvert
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Traditional and Simplified Chinese mappings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)

%description
This module is an attempt to solve most common problems occurred in
Traditional vs. Simplified Chinese conversion, in an efficient, flexible
way, without resorting to external tools or modules.

If you are using perl 5.7.2 or earlier, all Unicode-related functions are
disabled, and *Encode::HanConvert::Perl* is automagically loaded and used
instead. In that case, please consult Encode::HanConvert::Perl
instead.

After installing this module, you'll have two additional encoding formats:
'big5-simp' maps _Big5_ into Unicode's Simplified Chinese (and vice versa),
and 'gbk-trad' maps _GBK_ (also known as _CP936_) into Unicode's
Traditional Chinese and back.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes META.yml README SIGNATURE
%{_bindir}/b2g.pl
%{_bindir}/g2b.pl
%{_mandir}/man1/*
%perl_vendorarch/*
%exclude %dir %{perl_vendorarch}/auto/



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.350.0-12.mga10
+ Revision: 2225932
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.350.0-11.mga10
+ Revision: 2088040
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 0.350.0-10.mga10
+ Revision: 2012048
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.350.0-9.mga9
+ Revision: 1862863
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.350.0-8.mga9
+ Revision: 1796244
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.350.0-7.mga9
+ Revision: 1727667
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.350.0-6.mga8
+ Revision: 1595646
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.350.0-5.mga8
+ Revision: 1529456
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.350.0-4.mga8
+ Revision: 1433573
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.350.0-3.mga7
+ Revision: 1292832
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 joequant <joequant> 0.350.0-2.mga7
+ Revision: 1248390
- upgrade to perl 5.28

* Wed Mar 07 2018 kekepower <kekepower> 0.350.0-1.mga7
+ Revision: 1207040
- Add BR for perl-devel
- Add BR for perl(inc::Module::Install)
- imported package perl-Encode-HanConvert

